Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.application6
Class ApplicationTypeImplTestCase

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.application6.ApplicationTypeImplTestCase

    public class ApplicationTypeImplTestCase

extends java.lang.Object

Constructor Summary
`ApplicationTypeImplTestCase()`

Method Summary
`void` | `testApplicationName()`
`void` | `testDataSource()`
`void` | `testEjbLocalRef()`
`void` | `testEjbRef()`
`void` | `testEnvEntry()`
`void` | `testInitializeInOrder()`
`void` | `testLibraryDirectory()`
`void` | `testMessageDestination()`
`void` | `testMessageDestinationRef()`
`void` | `testModule()`
`void` | `testPersistenceContextRef()`
`void` | `testPersistenceUnitRef()`
`void` | `testResourceEnvRef()`
`void` | `testResourceRef()`
`void` | `testSecurityRole()`
`void` | `testVersion()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationTypeImplTestCase

    public ApplicationTypeImplTestCase()

Method Detail

### testApplicationName

    public void testApplicationName()
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testInitializeInOrder

    public void testInitializeInOrder()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testModule

    public void testModule()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSecurityRole

    public void testSecurityRole()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLibraryDirectory

    public void testLibraryDirectory()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEnvEntry

    public void testEnvEntry()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEjbRef

    public void testEjbRef()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEjbLocalRef

    public void testEjbLocalRef()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testResourceRef

    public void testResourceRef()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testResourceEnvRef

    public void testResourceEnvRef()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMessageDestinationRef

    public void testMessageDestinationRef()
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPersistenceContextRef

    public void testPersistenceContextRef()
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPersistenceUnitRef

    public void testPersistenceUnitRef()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMessageDestination

    public void testMessageDestination()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testDataSource

    public void testDataSource()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testVersion

    public void testVersion()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD